<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <title>Bootstrap - Prebuilt Layout</title>
    <!-- Bootstrap -->
    <link href="../../static/css/bootstrap.css" rel="stylesheet" th:href="@{/css/bootstrap.css}"/>
</head>

<body>

<div th:include="administratorView/fragments::navigation"></div>
<div class="row">
    <div class="col-lg-3" style="margin-left: 2%">
        <div class="form-group">
            <input type="text" id="search"/>
            <button style="margin: 1%" type="submit" class="btn btn-toolbar" th:onclick="'javascript:getMotCle();'">
                Rechercher
            </button>
        </div>
        <a th:href="@{../categorie/formI}" style="margin: 1.5%">
            <button class="btn btn-toolbar">Ajouter un theme ou une categorie</button>
        </a>
    </div>
    <div class="col-md-6">
        <div class="row">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th th:size="5">ID</th>
                    <th th:size="10">Titre</th>
                    <th>Modifier/Supprimer</th>
                </tr>
                </thead>
                <tbody th:each="categorie : ${categories}">
                <tr>
                    <th scope="row" th:text="${categorie.id}"></th>
                    <td th:text="${categorie.titre}"></td>
                    <td>
                        <a th:href="@{../categorie/formU(id=${categorie.id})}">Modifier</a>
                        <a th:href="@{../categorie/delete(id=${categorie.id})}">Supprimer</a>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>

<hr/>
<footer class="text-center">
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                <p>Copyright © Je bouquine. All rights reserved.</p>
            </div>
        </div>
    </div>
</footer>

<script type="text/javascript">
    function getMotCle() {
        motcle = document.getElementById("search").value;
        document.location = "http://localhost:8080/categorie/search?keyWord=" + motcle;
    }
</script>
<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
<script src="../../static/js/jquery-1.11.2.min.js" th:href="@{/js/jquery-1.11.2.min.js}"></script>
<!-- Include all compiled plugins (below), or include individual files as needed -->
<script src="../../static/js/bootstrap.js" th:href="@{/js/bootstrap.js}"></script>
</body>
</html>
